Bug 219103 - Review Request: dvdauthor - Command line DVD authoring tool
Review Request: dvdauthor - Command line DVD authoring tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-10 17:19 EST by Ville Skyttä
Modified: 2012-04-25 09:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-07 09:22:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-10 17:19:23 EST
http://cachalot.mine.nu/6/SRPMS/dvdauthor.spec
http://cachalot.mine.nu/6/SRPMS/dvdauthor-0.6.11-8.cmn6.src.rpm

dvdauthor is a program that will generate a DVD movie from a valid
mpeg2 stream that should play when you put it in a DVD player.
Comment 1 Ville Skyttä 2006-12-10 17:21:09 EST
spot, I think it wouldn't hurt to look at this from the FE-Legal POV as the
package touches the DVD and MPEG areas.  Could you have a look?
Comment 2 Parag AN(पराग) 2006-12-10 23:27:00 EST
Better to have a dicussion on FE mailing list.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-12-12 07:56:40 EST
I'll try to review this once legal doubts are cleared.
Comment 4 Tom "spot" Callaway 2007-01-06 23:54:40 EST
OK, so in looking at this:

- dvdauthor can't encode mpeg
- dvdauthor can't decode mpeg
- dvdauthor can't play mpeg (duh, it can't encode/decode)
- dvdauthor can mux/demux mpeg (this is how it gets into DVD format)
- dvdauthor can't decode encrypted DVDs

Since mux/demux is ok, this should be ok for Fedora. Lifting FE-Legal.
Comment 5 Dominik 'Rathann' Mierzejewski 2007-01-07 08:58:50 EST
 1. package meets naming and packaging guidelines.
 2. specfile is properly named, is cleanly written and uses macros consistently.
 3. dist tag is present.
 4. build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 5. license field matches the actual license.
 6. license is open source-compatible (GPL). License text included in package.
 7. source files match upstream:
    d2c45879e4cfb95d410bf603af891e07  dvdauthor-0.6.11.tar.gz
 8. latest version is being packaged.
 9. BuildRequires are proper.
10. package builds in mock (x86_64 devel).
11. rpmlint is silent.
12. final provides and requires are sane:

dvdauthor = 0.6.11-8.fc7
=
/bin/sh  
libc.so.6()(64bit)  
libdvdread.so.3()(64bit)  
libfreetype.so.6()(64bit)  
libfribidi.so.0()(64bit)  
libm.so.6()(64bit)  
libpng12.so.0()(64bit)  
libxml2.so.2()(64bit)  
libz.so.1()(64bit)  

13. no shared libraries are present.
14. package is not relocatable.
15. owns the directories it creates.
16. doesn't own any directories it shouldn't.
17. no duplicates in %files.
18. file permissions are appropriate.
19. %clean is present.
20. %check is not present and no testsuite.
21. no scriptlets present.
22. code, not content.
23. documentation is small, so no -docs subpackage is necessary.
24. %docs are not necessary for the proper functioning of the package.
25. no headers.
26. no pkgconfig files.
27. no libtool .la droppings.
28. not a GUI app.
29. not a web app.

APPROVED.
Comment 6 Dominik 'Rathann' Mierzejewski 2007-01-07 09:00:35 EST
Oops forgot to set ASSIGNED.
Comment 7 Ville Skyttä 2007-01-07 09:22:41 EST
Devel build done, owners.list and comps-fe7 updated, FC-6 branch requested.  Thanks!
Comment 8 Richard Shaw 2012-04-25 09:26:39 EDT
Package Change Request
======================
Package Name: dvdauthor
New Branches: el6
Owners: hobbes1069
InitialCC:
Comment 9 Gwyn Ciesla 2012-04-25 09:42:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.